=== debian/changelog ===
ncl (6.6.2.dfsg.1-8) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/patches/gcc14.patch: partial fix FTBFS with gcc-14

  [ Alastair McKinstry ]
  * Further fixed to FTBFS. Closes: #1075308

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Aug 2024 16:07:51 +0100

ncl (6.6.2.dfsg.1-7) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Add loongarch64 support. Closes: #1059008
  * Move from pkg-config to pkgconf
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * hdf4-migration.patch for hdf 4.3.0. Closes: #1069845

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 15:14:28 +0100

ncl (6.6.2.dfsg.1-6) unstable; urgency=medium

  * hdf4.3.0 patch was not applied; redo. Closes: #1066408

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 15:17:32 +0100

ncl (6.6.2.dfsg.1-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Build with Option qa=-bug to cope with ancient lack of prototypes
    Closes: #1066408

  [ Bas Couwenberg ]
  * Rebuild with HDF 4.3.0. Closes: #1068387

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 13:15:26 +0200

ncl (6.6.2.dfsg.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063163

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:02:00 +0000

ncl (6.6.2.dfsg.1-4) unstable; urgency=medium

  * Rebuild against libg2c-dev (>= 1.8.0) for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 12:33:07 +0000

ncl (6.6.2.dfsg.1-3) unstable; urgency=medium

  * Drop reference to libgrib2c-dev : now libg2c-dev
  * Drop Build Dep on altas; now obsolete. Closes: #1056679
  * Switch  from ttf-bitstream-vera to fonts-dejavu-core. Closes: #998270

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Nov 2023 11:23:02 +0000

ncl (6.6.2.dfsg.1-2) unstable; urgency=medium

  * Transition B-D libfreetype6-dev to libfreetype-dev
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jul 2023 15:50:41 +0100

ncl (6.6.2.dfsg.1-1) unstable; urgency=medium

  * DSFG-version, without ncarview/src/lib/libictrans/lex.yy_linux.c
    Closes: #1029035
  * Drop ictrans; no longer builds

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Jan 2023 13:01:49 +0000

ncl (6.6.2-12) unstable; urgency=medium

  * Move from libgrib2c-dev to libg2c-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 May 2022 20:05:27 +0100

ncl (6.6.2-11) unstable; urgency=medium

  * Fix FTBFS on riscv64, thanks to Bo YU. Closes: #1010056

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Apr 2022 15:05:17 +0100

ncl (6.6.2-10) unstable; urgency=medium

  * iftran-fix.patch: Hack to pre-generate Fortran code via Iftran to avoid
    Iftran gcc bug on i386. Closes: #993992

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Sep 2021 15:43:18 +0100

ncl (6.6.2-9) unstable; urgency=medium

  * Fix proj.patch: Force use of /usr/include/proj.h in TransformCoordinate.c
    to avoid version in hdf-eos5 include path

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Sep 2021 19:07:05 +0100

ncl (6.6.2-8) unstable; urgency=medium

  * Add proj 8.0 support
  * Set gfortran flags for >=9. Closes: #984251
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Feb 2021 19:37:11 +0000
