=== debian/control ===
Source: ncl
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
 flex, 
 bison, 
 gfortran | fortran-compiler, 
 zlib1g-dev, 
 libbz2-dev, 
 libxt-dev,
 libxaw7-dev, libxmu-headers, libcairo2-dev, libjpeg-dev, libpng-dev,
 pkgconf,
 fontconfig, 
 libfontconfig1-dev, 
 libfreetype-dev, 
 libexpat1-dev,
 libpixman-1-dev,  
 libcurl4-gnutls-dev | libcurl-dev,  
 libgdal-dev,
 libnetcdf-dev, 
 libnetcdff-dev, 
 libudunits2-dev, 
 libmotif-dev,
 liblapack-dev | libopenblas-dev | liblapack.so,
 libblas-dev | libopenblas-dev | libblas.so,
 libg2c-dev (>= 1.8.0~1), 
 libsphere-dev (>= 3.3~a1), 
 libhdf4-alt-dev, 
 libhdfeos-dev,
 libgctp-dev, 
 libhe5-hdfeos-dev,
 tcsh | csh | c-shell,
 libhdf5-dev | libhdf5-mpi-dev,
 libproj-dev, 
 libaec-dev,
 libfl-dev, 
 libgsl-dev
Standards-Version: 4.7.0
Homepage: https://www.ncl.ucar.edu/
Vcs-Browser: https://salsa.debian.org/science-team/ncl.git
Vcs-Git: https://salsa.debian.org/science-team/ncl.git -b debian/latest

Package: ncl-ncarg
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, tcsh | csh | c-shell
Description: NCAR Command Language and NCAR graphics
 The NCAR Command Language (NCL) is a free interpreted language designed
 specifically for scientific data processing and visualization. NCL has robust
 file input and output. It can read and write netCDF-3, netCDF-4 classic
 HDF4, HDF5, binary, and ASCII data, and read HDF-EOS2, GRIB1 and
 GRIB2. The graphics are world class and highly customizable.
 .
 The software comes with a couple of useful command line tools:
 * ncl_filedump - prints the contents of supported files (netCDF, HDF,
   GRIB1, GRIB2, HDF-EOS2, and CCM History Tape)
 * ncl_convert2nc - converts one or more GRIB1, GRIB2, HDF and/or HDF-EOS
   iles to netCDF formatted files.

Package: libncarg0t64
Provides: ${t64:Provides}
Replaces: libncarg0
Breaks: libncarg0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libudunits2-0, fonts-dejavu-core, fonts-lyx, libncarg-data, tcsh | csh | c-shell
Recommends: libncarg-bin, pkgconf
Multi-Arch: same
Description: NCAR command-language library
 NCAR Command Language library used by NCAR binaries and tools.

Package: libncarg-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libncarg0t64 (= ${binary:Version} ), libudunits2-dev,
 libsphere-dev, libhdf4-alt-dev, 
 ncl-ncarg, ksh | mksh | pdksh | zsh
Multi-Arch: same
Description: Development files for the NCAR command language library
 ncarg is the NCAR command-language. 

Package: libncarg-bin
Architecture: any
Depends: ${misc:Depends}, libncarg-dev (= ${binary:Version} ), ${shlibs:Depends}, tcsh | csh | c-shell
Multi-Arch: foreign
Description: NCAR command-language library - development tools
 This package provides development tools for developing applications of the 
 NCARG command library, such as wrappers for compilation of NCL executables.

Package: libncarg-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ksh | mksh | pdksh | zsh
Description: NCAR command-language library - Data
 NCAR Command Language library used by NCAR. This package contains data such
 as colormaps, fonts and map data that is used by the ncarg library.
